# Namespace org.accordproject.cicero.dom@0.2.0

## Overview
- 2 concepts
- 1 enumerations
- 17 assets
- 0 participants
- 0 transactions
- 0 events
- 20 total declarations

## Imports
- org.accordproject.cicero.contract@0.2.0.AccordParty
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.cicero.dom@0.2.0.Metadata` {
<< concept>>
   + `String` `version`
   + `String` `locale`
}

class `org.accordproject.cicero.dom@0.2.0.Element` {
<< asset>>
   + `String` `id`
}

class `org.accordproject.cicero.dom@0.2.0.ContractTemplate` {
<< asset>>
   + `Metadata` `metadata`
   + `Section` `content`
}

`org.accordproject.cicero.dom@0.2.0.ContractTemplate` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.Metadata`
`org.accordproject.cicero.dom@0.2.0.ContractTemplate` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.Section`
`org.accordproject.cicero.dom@0.2.0.ContractTemplate` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.ClauseTemplate` {
<< asset>>
   + `Metadata` `metadata`
   + `Section` `content`
}

`org.accordproject.cicero.dom@0.2.0.ClauseTemplate` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.Metadata`
`org.accordproject.cicero.dom@0.2.0.ClauseTemplate` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.Section`
`org.accordproject.cicero.dom@0.2.0.ClauseTemplate` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.Text` {
<< asset>>
   + `String` `content`
   + `String` `locale`
}

`org.accordproject.cicero.dom@0.2.0.Text` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.Parameter` {
<< asset>>
   + `String` `name`
   + `String` `description`
   + `String` `type`
   + `BooleanExpression` `constraint`
}

`org.accordproject.cicero.dom@0.2.0.Parameter` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.BooleanExpression`
`org.accordproject.cicero.dom@0.2.0.Parameter` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.Choice` {
<< asset>>
   + `Element[]` `options`
   + `Boolean` `required`
}

`org.accordproject.cicero.dom@0.2.0.Choice` "1" *-- "*" `org.accordproject.cicero.dom@0.2.0.Element`
`org.accordproject.cicero.dom@0.2.0.Choice` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.Conditional` {
<< asset>>
   + `Element` `element`
   + `BooleanExpression` `predicate`
}

`org.accordproject.cicero.dom@0.2.0.Conditional` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.Element`
`org.accordproject.cicero.dom@0.2.0.Conditional` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.BooleanExpression`
`org.accordproject.cicero.dom@0.2.0.Conditional` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.Clause` {
<< asset>>
   + `String` `templateUri`
}

`org.accordproject.cicero.dom@0.2.0.Clause` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.SigningParty` {
<< concept>>
   + `Text` `description`
`org.accordproject.cicero.dom@0.2.0.SigningParty` "1" o-- "1" `org.accordproject.cicero.contract@0.2.0.AccordParty` : party
}

`org.accordproject.cicero.dom@0.2.0.SigningParty` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.Text`
`org.accordproject.cicero.dom@0.2.0.SigningParty` "1" o-- "1" `org.accordproject.cicero.contract@0.2.0.AccordParty` : party
class `org.accordproject.cicero.dom@0.2.0.Signatures` {
<< asset>>
   + `SigningParty[]` `parties`
}

`org.accordproject.cicero.dom@0.2.0.Signatures` "1" *-- "*" `org.accordproject.cicero.dom@0.2.0.SigningParty`
`org.accordproject.cicero.dom@0.2.0.Signatures` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.Link` {
<< asset>>
`org.accordproject.cicero.dom@0.2.0.Link` "1" o-- "1" `org.accordproject.cicero.dom@0.2.0.Element` : reference
}

`org.accordproject.cicero.dom@0.2.0.Link` "1" o-- "1" `org.accordproject.cicero.dom@0.2.0.Element` : reference
`org.accordproject.cicero.dom@0.2.0.Link` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.Section` {
<< asset>>
   + `Text` `heading`
   + `Element[]` `children`
   + `Boolean` `pageBreak`
}

`org.accordproject.cicero.dom@0.2.0.Section` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.Text`
`org.accordproject.cicero.dom@0.2.0.Section` "1" *-- "*" `org.accordproject.cicero.dom@0.2.0.Element`
`org.accordproject.cicero.dom@0.2.0.Section` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.ListStyle` {
<< enumeration>>
   + `ORDERED`
   + `UNORDERED`
   + `SINGLE_LINE`
}

class `org.accordproject.cicero.dom@0.2.0.List` {
<< asset>>
   + `ListStyle` `style`
   + `String` `separator`
}

`org.accordproject.cicero.dom@0.2.0.List` "1" *-- "1" `org.accordproject.cicero.dom@0.2.0.ListStyle`
`org.accordproject.cicero.dom@0.2.0.List` --|> `org.accordproject.cicero.dom@0.2.0.Section`
class `org.accordproject.cicero.dom@0.2.0.Script` {
<< asset>>
   + `String` `language`
   + `String` `version`
   + `String` `code`
}

`org.accordproject.cicero.dom@0.2.0.Script` --|> `org.accordproject.cicero.dom@0.2.0.Element`
class `org.accordproject.cicero.dom@0.2.0.Declarations`
<< asset>> `org.accordproject.cicero.dom@0.2.0.Declarations`

`org.accordproject.cicero.dom@0.2.0.Declarations` --|> `org.accordproject.cicero.dom@0.2.0.Script`
class `org.accordproject.cicero.dom@0.2.0.Expression`
<< asset>> `org.accordproject.cicero.dom@0.2.0.Expression`

`org.accordproject.cicero.dom@0.2.0.Expression` --|> `org.accordproject.cicero.dom@0.2.0.Script`
class `org.accordproject.cicero.dom@0.2.0.ElementExpression`
<< asset>> `org.accordproject.cicero.dom@0.2.0.ElementExpression`

`org.accordproject.cicero.dom@0.2.0.ElementExpression` --|> `org.accordproject.cicero.dom@0.2.0.Expression`
class `org.accordproject.cicero.dom@0.2.0.BooleanExpression`
<< asset>> `org.accordproject.cicero.dom@0.2.0.BooleanExpression`

`org.accordproject.cicero.dom@0.2.0.BooleanExpression` --|> `org.accordproject.cicero.dom@0.2.0.Expression`
```

# Namespace org.accordproject.cicero.contract@0.2.0

## Overview
- 0 concepts
- 0 enumerations
- 3 assets
- 1 participants
- 0 transactions
- 0 events
- 4 total declarations

## Imports
- concerto@1.0.0.Concept
- concerto@1.0.0.Asset
- concerto@1.0.0.Transaction
- concerto@1.0.0.Participant
- concerto@1.0.0.Event

## Diagram
```mermaid
classDiagram
class `org.accordproject.cicero.contract@0.2.0.AccordContractState` {
<< asset>>
   + `String` `stateId`
}

class `org.accordproject.cicero.contract@0.2.0.AccordParty` {
<< participant>>
   + `String` `partyId`
}

class `org.accordproject.cicero.contract@0.2.0.AccordContract` {
<< asset>>
   + `String` `contractId`
`org.accordproject.cicero.contract@0.2.0.AccordContract` "1" o-- "*" `org.accordproject.cicero.contract@0.2.0.AccordParty` : parties
}

`org.accordproject.cicero.contract@0.2.0.AccordContract` "1" o-- "*" `org.accordproject.cicero.contract@0.2.0.AccordParty` : parties
class `org.accordproject.cicero.contract@0.2.0.AccordClause` {
<< asset>>
   + `String` `clauseId`
}

```

